package client

type Service interface {
	Client(id int) (*Client, error)
	Clients() ([]*Client, error)
}

type Client struct {
	ID          int    `json:"id"`
	DatabaseID  int    `json:"databaseId"`
	Nickname    string `json:"nickname"`
	Type        int    `json:"type"`
	Away        bool   `json:"away"`
	AwayMessage string `json:"awayMessage"`
}
